Subject: [MMUSIC] ABNF enhancements to draft-ietf-mmusic-rfc4566bis

From: Sean Leonard <[email-masked]>
Date: Wed, 21 Oct 2015 12:25:09 -0700

Hello mmusic,

I read the SDP draft, draft-ietf-mmusic-rfc4566bis-15, with interest. Specifically I read through the ABNF and have some feedback.

At the end, the ABNF references several Core Rules from RFC 5234. URI-reference from RFC 3986 and addr-spec from RFC 5322 are also referenced.

Based on feedback in the IETF over the last year I wrote a more comprehensive Core Rules specification (and recently, a reference syntax enhancement) for ABNF in this draft:

draft-seantek-abnf-more-core-rules-04
http://tools.ietf.org/html/draft-seantek-abnf-more-core-rules-04

It has gotten discussion on abnf-discuss, but it would be great if this WG could look at that draft. If you like it, you can use it for assuming the existence of the Core Rules, and also the syntax for automated reference checking and analysis, in this SDP draft and in future work.

Best regards,

Sean